Wide Studio Object Reference

Wide Studio Home
Up to

## Class Name

WSCvtoggle

## Specification of methods

### getStatus method

Form
  WSCbool getStatus()
Function
  Returns the state of the toggle.
Description
  Returns the state: True=selected, False=not.
Parameters
  None.
Return value
  Returns the state.
Notice
Samples

        WSCbool status = newvtog_000->getStatus();
        if (status != False){
          //selected..
        }else{
          //not selected..
        }

### setStatus method

Form
  long setStatus(WSCbool state,WSCbool create_event=True)
Function
  Set the state of the toggle.
Description
  The state: True=selected, False=not. The event: WSEV_VALUE_CH is fired if create_event = True.
Parameters

  (in)WSCbool state | the state
  (in)WSCbool create_event | the creation of the event

Return value
  Returns WS_NO_ERR if it succeeds; returns WS_ERR if it fails.
Notice
Samples

        //set the state
        newvtog_000->setStatus(True); //selected status.
        newvtog_000->setStatus(False); //not selected status.

  ### getGroupValue method

  Form
    long getGroupValue()
  Function
    Returns the property: WSNid of the selected instance which is grouped by unique-selection, or returns the bit or-ed value of the properties: WSNid of the selected instances which is grouped by multi-selection.
  Description
  Parameters
    None.
  Return value
    Returns the group value of the toggles.
  Notice
  Samples

          //get the toggle ID of selected toggle instance.
          long value = newvtog_000->getGroupValue();

  ### setGroupValue method

  Form
    long setGroupValue(long value)
  Function
    Sets the selected toggle of a group of toggles by the specified group value.
  Description
    If grouped by unique-selection, it seeks the instance which the property: WSNid is equal to the specified value, and selects it.
    If grouped by multi-selection, the specified value is bit-or of the instance to be selected. For example: if the specified value is 5, then bit 0,bit 2 are set. So it makes the instance which the property: WSNid is equal to 0 and 1, selected.
  Parameters

    (in)long value | the group value

  Return value
    Returns WS_NO_ERR if it succeeds; returns WS_ERR if it fails.
  Notice
  Samples

          newvtog_000->setGroupValue(value);

  ### clearGroupValue method

  Form
    long clearGroupValue()
  Function
    Clear the selected state.
  Description
  Parameters
    None.
  Return value
    Returns WS_NO_ERR if it succeeds; returns WS_ERR if it fails.
  Notice
  Samples

          //clear the status of toggles of the group.
          newvtog_000->clear();

  Document Release 3.70
  For use with Wide Studio Release 3.70, Spring 2004

  Wide Studio Home | Up to

  Copyright(C) WideStudio Development Team, 1999-2004 |  | Last modified: May 25, 2004